/// <reference types="react" />
import type { BuilderBlock } from "../../types/builder-block.js";
export interface ImageProps {
    className?: string;
    image: string;
    sizes?: string;
    lazy?: boolean;
    height?: number;
    width?: number;
    altText?: string;
    backgroundSize?: string;
    backgroundPosition?: string;
    srcset?: string;
    aspectRatio?: number;
    children?: JSX.Element;
    fitContent?: boolean;
    builderBlock?: BuilderBlock;
    noWebp?: boolean;
    src?: string;
}
export declare const srcSetToUse: (props: any, state: any) => any;
export declare const webpSrcSet: (props: any, state: any) => any;
export declare const aspectRatioCss: (props: any, state: any) => {
    position: string;
    height: string;
    width: string;
    left: string;
    top: string;
} | undefined;
export declare const Image: import("@builder.io/qwik").Component<ImageProps>;
export default Image;
export declare const STYLES = "\n.img-Image {\n  opacity: 1;\n  transition: opacity 0.2s ease-in-out;\n}.div-Image {\n  width: 100%;\n  pointer-events: none;\n  font-size: 0;\n}.div-Image-2 {\n  display: flex;\n  flex-direction: column;\n  align-items: stretch;\n  position: absolute;\n  top: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n}";
